Subject: bug#47600: 28.0.50; dired: when moving to Trash: file-already-exists: File already exists: /home/data1/protected/tmp/Trash/profile.jpg

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Apr 2021 15:47:08 +0300

> From: Jean Louis <[email-masked]>
> Date: Mon, 05 Apr 2021 10:29:21 +0300
> 
> 
> I have this file in directory:
> /home/data1/protected/public_html/images/Contacts:
> 
>   lrwxrwxrwx 1  126 Nov 26  2016 profile.jpg -> http:///home/data1/protected//home/data1/protected/Work/By-ID/135258/pictures/profile.jpg
> 
> It points to non-existing file. I don't think that "http:" (programming
> mistake) isrelevant here, as it happens with normally constructed
> files as well.
> 
> Then I have ~/tmp/Trash as my trash, files are moved to trash when
> deleting in Dired, I have there this symlink pointing to non-existing
> file:
> 
>   lrwxrwxrwx 1    5 Nov 26  2016 profile.jpg -> 3.jpg
> 
> Then if I try to delete
> 
>   lrwxrwxrwx 1  126 Nov 26  2016 profile.jpg ->
>   http:///home/data1/protected//home/data1/protected/Work/By-ID/135258/pictures/profile.jpg
> 
> I get the error:
> 
> Debug on Error enabled globally
> Trashing... 
> file-already-exists: File already exists: /home/data1/protected/tmp/Trash/profile.jpg

Would you please mind telling what exactly constitutes a bug here?  It
is hard to follow your bug report, given all the various symbolic
links to various strange files.  I couldn't even understand where did
the /home/data1/protected/tmp/Trash/profile.jpg file name come from.